## akonadi-import-wizard 24.12.2

=== debian/changelog ===
akonadi-import-wizard (4:24.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 23 Feb 2025 00:08:57 +0100

=== debian/control ===
Source: akonadi-import-wizard
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.6.0~),
               libakonadi-dev (>= 4:24.12.2~),
               libkf6archive-dev (>= 6.6.0~),
               libkf6auth-dev (>= 6.3.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 24.12.2~),
               libkmailtransport-dev (>= 24.12.2~),
               libmailcommon-dev (>= 4:24.12.2~),
               libmailimporter-dev (>= 4:24.12.2~),
               libpimcommon-dev (>= 4:24.12.2~),
               messagelib-dev (>= 4:24.12.2~),
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qtkeychain-qt6-dev (>= 0.14.2~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/akonadi-import-wizard
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-import-wizard
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-import-wizard.git
Rules-Requires-Root: no

Package: akonadi-import-wizard
Section: mail
Architecture: amd64 arm64 armhf i386
Depends: libkpim6importwizard6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: PIM data import wizard
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications

Package: libkpimimportwizard-dev
Section: libdevel
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libkmailtransport-dev (>= 24.12.2~),
         libkpim6importwizard6 (= ${binary:Version}),
         ${misc:Depends},
Description: PIM data import wizard - development files
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications
 .
 This package contains the import wizard developmentt files.

Package: libkpim6importwizard6
Provides: ${ABI:VirtualPackage},
Section: libs
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: PIM data import wizard - library
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications
 .
 This package contains the import wizard shared libraries.

## akonadi-import-wizard 24.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.3.3")
project(AkonadiImportWizard VERSION ${PIM_VERSION})


set(KF_MIN_VERSION "6.6.0")
set(QT_REQUIRED_VERSION "6.7.0")
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMInstallIcons)


include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)

# Do NOT add quote
set(KDEPIM_DEV_VERSION )
set(RELEASE_SERVICE_VERSION "24.12.3")

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()


set(PIM_VERSION "${PIM_VERSION}")
set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")


set(KMAILTRANSPORT_LIB_VERSION "6.3.3")
set(AKONADI_VERSION "6.3.3")

set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(KDEPIM_LIB_SOVERSION "6")

find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Gui)
set(MAILIMPORTER_VERSION "6.3.3")
set(MAILCOMMON_LIB_VERSION "6.3.3")
set(MESSAGELIB_LIB_VERSION "6.3.3")
set(PIMCOMMON_LIB_VERSION "6.3.3")
set(IDENTITYMANAGEMENT_LIB_VERSION "6.3.3")
set(QT6KEYCHAIN_LIB_VERSION "0.14.2")

# Find KF6 package
find_package(KF6Config ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6DocTools ${KF_MIN_VERSION} REQUIRED)
find_package(KF6Crash ${KF_MIN_VERSION} REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} REQUIRED)
find_package(KF6Archive ${KF_MIN_VERSION} REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} CONFIG REQUIRED)

# Find KdepimLibs Package
find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF6Contacts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6IdentityManagementCore ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)

find_package(KPim6MailCommon ${MAILCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailImporterAkonadi ${MAILIMPORTER_VERSION} CONFIG REQUIRED)

find_package(KPim6MessageViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
include_directories(${importwizard_SOURCE_DIR} ${importwizard_BINARY_DIR})

find_package(Qt6Keychain ${QT6KEYCHAIN_LIB_VERSION} CONFIG)
set_package_properties(Qt6Keychain PROPERTIES
                                   DESCRIPTION "Provides support for secure credentials storage"
                                   URL "https://github.com/frankosterfeld/qtkeychain"
                                   TYPE REQUIRED)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_USE_QSTRINGBUILDER)
add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.8.0 KF 6.8.0)
include(ECMCheckOutboundLicense)
file(GLOB_RECURSE ALL_SOURCE_FILES
src/*.cpp
src/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})


if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif()

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

add_subdirectory(src)

ecm_qt_install_logging_categories(
        EXPORT IMPORTWIZARD
        FILE importwizard.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

add_subdirectory(doc)
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
kdoctools_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/plugins/balsa/CMakeLists.txt ===
set(balsaimporter_SRCS
    balsaaddressbook.cpp
    balsaimportdata.cpp
    balsasettings.cpp
    balsasettings.h
    balsaimportdata.h
    balsaaddressbook.h

)
ecm_qt_declare_logging_category(balsaimporter_SRCS HEADER balsaplugin_debug.h
        IDENTIFIER BALSAPLUGIN_LOG CATEGORY_NAME org.kde.pim.importwizard.balsaplugin
        DESCRIPTION "importwizard (balsa plugin)"
        EXPORT IMPORTWIZARD
)



kcoreaddons_add_plugin(balsaimporterplugin SOURCES ${balsaimporter_SRCS} INSTALL_NAMESPACE pim6/importwizard)
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(balsaimporterplugin PROPERTIES UNITY_BUILD ON)
endif()
set_target_properties(balsaimporterplugin PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/importwizard/")

target_link_libraries(balsaimporterplugin
    KPim6::ImportWizard
    KF6::XmlGui
    KF6::I18n
    KF6::Contacts
    KPim6::MailImporterAkonadi
    KPim6::MailTransport
    KPim6::MailCommon
    KPim6::IdentityManagementCore
    KPim6::MessageViewer
)

=== src/plugins/claws-mail/CMakeLists.txt ===
set(clawsmailimporter_SRCS
    clawsmailaddressbook.cpp
    clawsmailimportdata.cpp
    clawsmailsettings.cpp
    ../sylpheed/sylpheedaddressbook.cpp
    ../sylpheed/sylpheedsettings.cpp
    ../sylpheed/sylpheedsettingsutils.cpp
    clawsmailimportdata.h
    clawsmailaddressbook.h
    clawsmailsettings.h

)

ecm_qt_declare_logging_category(clawsmailimporter_SRCS HEADER sylpheedplugin_debug.h
        IDENTIFIER SYLPHEEDPLUGIN_LOG CATEGORY_NAME org.kde.pim.importwizard.sylpheedplugin
        DESCRIPTION "importwizard (sylpheed plugin)"
        EXPORT IMPORTWIZARD
)

ecm_qt_declare_logging_category(clawsmailimporter_SRCS HEADER clawsmailplugin_debug.h
        IDENTIFIER CLAWSMAILPLUGIN_LOG CATEGORY_NAME org.kde.pim.importwizard.clawsmailplugin
        DESCRIPTION "importwizard (claws-mail plugin)"
        EXPORT IMPORTWIZARD
)



kcoreaddons_add_plugin(clawsmailimporterplugin SOURCES ${clawsmailimporter_SRCS} INSTALL_NAMESPACE pim6/importwizard)
set_target_properties(clawsmailimporterplugin PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/importwizard/")
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(clawsmailimporterplugin PROPERTIES UNITY_BUILD ON)
endif()

target_link_libraries(clawsmailimporterplugin
    KPim6::ImportWizard
    KF6::XmlGui
    KF6::I18n
    KF6::Contacts
    KPim6::MailImporterAkonadi
    KPim6::MailTransport
    KPim6::IdentityManagementCore
    KPim6::MailCommon
)

=== src/plugins/evolutionv3/CMakeLists.txt ===
set(evolutionv3importer_SRCS
    evolutionaddressbook.cpp
    evolutionv3importdata.cpp
    evolutionsettings.cpp
    evolutioncalendar.cpp
    evolutionutil.cpp
    evolutionsettings.h
    evolutionv3importdata.h
    evolutionutil.h
    evolutioncalendar.h
    evolutionaddressbook.h
)
ecm_qt_declare_logging_category(evolutionv3importer_SRCS HEADER evolutionv3plugin_debug.h
        IDENTIFIER EVOLUTIONPLUGIN_LOG CATEGORY_NAME org.kde.pim.importwizard.evolutionplugin
        DESCRIPTION "importwizard (thunderbird plugin)"
        EXPORT IMPORTWIZARD
)


kcoreaddons_add_plugin(evolutionv3importerplugin SOURCES ${evolutionv3importer_SRCS} INSTALL_NAMESPACE pim6/importwizard)
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(evolutionv3importerplugin PROPERTIES UNITY_BUILD ON)
endif()

set_target_properties(evolutionv3importerplugin PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/importwizard/")

target_link_libraries(evolutionv3importerplugin
    KPim6::ImportWizard
    KF6::XmlGui
    KF6::I18n
    KF6::Contacts
    KPim6::MailImporterAkonadi
    KPim6::MailTransport
    KPim6::MailCommon
    KPim6::IdentityManagementCore
    KPim6::MessageViewer
)

=== src/plugins/icedove/CMakeLists.txt ===
set(icedoveimporter_SRCS
    icedoveimportdata.cpp
    ../thunderbird/thunderbirdaddressbook.cpp
    ../thunderbird/thunderbirdsettings.cpp
    ../thunderbird/addressbook/MorkParser.cpp
    icedoveimportdata.h
)

ecm_qt_declare_logging_category(icedoveimporter_SRCS HEADER thunderbirdplugin_debug.h
        IDENTIFIER THUNDERBIRDPLUGIN_LOG CATEGORY_NAME org.kde.pim.importwizard.thunderbirdplugin
        DESCRIPTION "importwizard (thunderbird plugin)"
        EXPORT IMPORTWIZARD
)

kcoreaddons_add_plugin(icedoveimporterplugin SOURCES ${icedoveimporter_SRCS} INSTALL_NAMESPACE pim6/importwizard)
set_target_properties(icedoveimporterplugin PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/importwizard/")
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(icedoveimporterplugin PROPERTIES UNITY_BUILD ON)
endif()

target_link_libraries(icedoveimporterplugin
    KPim6::ImportWizard
    KF6::XmlGui
    KF6::I18n
    KF6::Contacts
    KPim6::MailImporterAkonadi
    KPim6::MailTransport
    KPim6::IdentityManagementCore
    KPim6::MailCommon
)

=== debian/changelog ===
akonadi-import-wizard (4:24.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Mar 2025 18:51:26 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-kf6,
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:24.12.2~),
+               libakonadi-dev (>= 4:24.12.3~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6auth-dev (>= 6.3.0~),
                libkf6config-dev (>= 6.6.0~),
@@ -20,16 +20,16 @@
                libkf6doctools-dev (>= 6.6.0~),
                libkf6iconthemes-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 24.12.2~),
-               libkmailtransport-dev (>= 24.12.2~),
-               libmailcommon-dev (>= 4:24.12.2~),
-               libmailimporter-dev (>= 4:24.12.2~),
-               libpimcommon-dev (>= 4:24.12.2~),
-               messagelib-dev (>= 4:24.12.2~),
+               libkidentitymanagement-dev (>= 24.12.3~),
+               libkmailtransport-dev (>= 24.12.3~),
+               libmailcommon-dev (>= 4:24.12.3~),
+               libmailimporter-dev (>= 4:24.12.3~),
+               libpimcommon-dev (>= 4:24.12.3~),
+               messagelib-dev (>= 4:24.12.3~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qtkeychain-qt6-dev (>= 0.14.2~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/pim/akonadi-import-wizard
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-import-wizard
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-import-wizard.git
@@ -49,7 +49,7 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libkmailtransport-dev (>= 24.12.2~),
+Depends: libkmailtransport-dev (>= 24.12.3~),
          libkpim6importwizard6 (= ${binary:Version}),
          ${misc:Depends},
 Description: PIM data import wizard - development files

## akonadi-import-wizard 25.04.3

=== debian/changelog ===
akonadi-import-wizard (4:25.04.3-0zneon+24.04+noble+release+build29) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 07 Jul 2025 05:40:16 +0000

akonadi-import-wizard (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 11:28:34 +0000

akonadi-import-wizard (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 10:43:29 +0000

akonadi-import-wizard (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 04:34:40 +0000

akonadi-import-wizard (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 11:17:34 +0000

akonadi-import-wizard (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 13:44:00 +0000

akonadi-import-wizard (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 14:50:21 +0000

akonadi-import-wizard (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 19:41:44 +0000

akonadi-import-wizard (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 18:39:33 +0000

akonadi-import-wizard (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 10:39:19 +0000

akonadi-import-wizard (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:11:04 +0000

akonadi-import-wizard (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 07:49:34 +0000

akonadi-import-wizard (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:03:49 +0000

akonadi-import-wizard (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 11:39:01 +0000

akonadi-import-wizard (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:07:40 +0000

akonadi-import-wizard (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 03:52:48 +0000

akonadi-import-wizard (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 14:49:21 +0000

akonadi-import-wizard (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:30:47 +0000

akonadi-import-wizard (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Nov 2023 15:39:59 +0000

akonadi-import-wizard (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:07:49 +0000

akonadi-import-wizard (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 12:43:48 +0000

akonadi-import-wizard (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:36:35 +0000

akonadi-import-wizard (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:04:20 +0000

akonadi-import-wizard (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 12:51:53 +0000

akonadi-import-wizard (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:17:24 +0000

akonadi-import-wizard (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 15:55:44 +0000

akonadi-import-wizard (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:04:45 +0000

akonadi-import-wizard (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:24:16 +0000

akonadi-import-wizard (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 17:58:26 +0000

akonadi-import-wizard (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:26:10 +0000

akonadi-import-wizard (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:12:59 +0000

akonadi-import-wizard (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 20:37:35 +0000

akonadi-import-wizard (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 13:31:23 +0000

akonadi-import-wizard (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 12:45:08 +0000

akonadi-import-wizard (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 10:59:01 +0000

akonadi-import-wizard (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 10:56:12 +0000

akonadi-import-wizard (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:11:28 +0000

akonadi-import-wizard (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:30:12 +0000

akonadi-import-wizard (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:26:02 +0000

akonadi-import-wizard (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:46:27 +0000

akonadi-import-wizard (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:18:40 +0000

akonadi-import-wizard (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:49:08 +0000



## akonadi-import-wizard 25.07.80

=== debian/changelog ===
akonadi-import-wizard (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Jul 2025 06:38:54 +0100

akonadi-import-wizard (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:33:03 +0100

akonadi-import-wizard (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:34:43 +0100

akonadi-import-wizard (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 21:58:22 +0100

akonadi-import-wizard (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:38:24 +0100

akonadi-import-wizard (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 14:15:28 -0500

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: akonadi-import-wizard
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Michael Meskes <meskes@debian.org>,
            Sandro Knauß <hefee@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:24.12.3~),
+               libakonadi-dev (>= 4:25.07.80~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6auth-dev (>= 6.3.0~),
                libkf6config-dev (>= 6.6.0~),
@@ -20,19 +21,19 @@
                libkf6doctools-dev (>= 6.6.0~),
                libkf6iconthemes-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 24.12.3~),
-               libkmailtransport-dev (>= 24.12.3~),
-               libmailcommon-dev (>= 4:24.12.3~),
-               libmailimporter-dev (>= 4:24.12.3~),
-               libpimcommon-dev (>= 4:24.12.3~),
-               messagelib-dev (>= 4:24.12.3~),
+               libkidentitymanagement-dev (>= 25.07.80~),
+               libkmailtransport-dev (>= 25.07.80~),
+               libmailcommon-dev (>= 4:25.07.80~),
+               libmailimporter-dev (>= 4:25.07.80~),
+               libpimcommon-dev (>= 4:25.07.80~),
+               messagelib-dev (>= 4:25.07.80~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qtkeychain-qt6-dev (>= 0.14.2~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/akonadi-import-wizard
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-import-wizard
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-import-wizard.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-import-wizard
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-import-wizard
 Rules-Requires-Root: no
 
 Package: akonadi-import-wizard
@@ -49,7 +50,7 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libkmailtransport-dev (>= 24.12.3~),
+Depends: libkmailtransport-dev (>= 25.07.80~),
          libkpim6importwizard6 (= ${binary:Version}),
          ${misc:Depends},
 Description: PIM data import wizard - development files

## akonadi-import-wizard 25.07.90

=== debian/changelog ===
akonadi-import-wizard (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:24:59 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.07.80~),
+               libakonadi-dev (>= 4:25.07.90~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6auth-dev (>= 6.3.0~),
                libkf6config-dev (>= 6.6.0~),
@@ -21,12 +21,12 @@
                libkf6doctools-dev (>= 6.6.0~),
                libkf6iconthemes-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.07.80~),
-               libkmailtransport-dev (>= 25.07.80~),
-               libmailcommon-dev (>= 4:25.07.80~),
-               libmailimporter-dev (>= 4:25.07.80~),
-               libpimcommon-dev (>= 4:25.07.80~),
-               messagelib-dev (>= 4:25.07.80~),
+               libkidentitymanagement-dev (>= 25.07.90~),
+               libkmailtransport-dev (>= 25.07.90~),
+               libmailcommon-dev (>= 4:25.07.90~),
+               libmailimporter-dev (>= 4:25.07.90~),
+               libpimcommon-dev (>= 4:25.07.90~),
+               messagelib-dev (>= 4:25.07.90~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qtkeychain-qt6-dev (>= 0.14.2~),
@@ -50,7 +50,7 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libkmailtransport-dev (>= 25.07.80~),
+Depends: libkmailtransport-dev (>= 25.07.90~),
          libkpim6importwizard6 (= ${binary:Version}),
          ${misc:Depends},
 Description: PIM data import wizard - development files

## akonadi-import-wizard 25.08.0

=== debian/changelog ===
akonadi-import-wizard (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:47:11 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.07.90~),
+               libakonadi-dev (>= 4:25.08.0~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6auth-dev (>= 6.3.0~),
                libkf6config-dev (>= 6.6.0~),
@@ -21,12 +21,12 @@
                libkf6doctools-dev (>= 6.6.0~),
                libkf6iconthemes-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.07.90~),
-               libkmailtransport-dev (>= 25.07.90~),
-               libmailcommon-dev (>= 4:25.07.90~),
-               libmailimporter-dev (>= 4:25.07.90~),
-               libpimcommon-dev (>= 4:25.07.90~),
-               messagelib-dev (>= 4:25.07.90~),
+               libkidentitymanagement-dev (>= 25.08.0~),
+               libkmailtransport-dev (>= 25.08.0~),
+               libmailcommon-dev (>= 4:25.08.0~),
+               libmailimporter-dev (>= 4:25.08.0~),
+               libpimcommon-dev (>= 4:25.08.0~),
+               messagelib-dev (>= 4:25.08.0~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qtkeychain-qt6-dev (>= 0.14.2~),
@@ -50,7 +50,7 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libkmailtransport-dev (>= 25.07.90~),
+Depends: libkmailtransport-dev (>= 25.08.0~),
          libkpim6importwizard6 (= ${binary:Version}),
          ${misc:Depends},
 Description: PIM data import wizard - development files

## akonadi-import-wizard 25.08.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.1")
project(AkonadiImportWizard VERSION ${PIM_VERSION})

set(KF_MIN_VERSION "6.14.0")
set(QT_REQUIRED_VERSION "6.8.0")
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMInstallIcons)

include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    src/*.cpp
    src/*.h
)

set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()
include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)

# Do NOT add quote
set(KDEPIM_DEV_VERSION)
set(RELEASE_SERVICE_VERSION "25.08.1")

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(PIM_VERSION "${PIM_VERSION}")
set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")

set(KMAILTRANSPORT_LIB_VERSION "6.5.1")
set(AKONADI_VERSION "6.5.1")

set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(KDEPIM_LIB_SOVERSION "6")

find_package(
    Qt6
    ${QT_REQUIRED_VERSION}
    CONFIG
    REQUIRED
        Widgets
        Gui
)
set(MAILIMPORTER_VERSION "6.5.1")
set(MAILCOMMON_LIB_VERSION "6.5.1")
set(MESSAGELIB_LIB_VERSION "6.5.1")
set(PIMCOMMON_LIB_VERSION "6.5.1")
set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.1")
set(QT6KEYCHAIN_LIB_VERSION "0.14.2")

# Find KF6 package
find_package(KF6Config ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Crash ${KF_MIN_VERSION} REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} REQUIRED)
find_package(KF6Archive ${KF_MIN_VERSION} REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} CONFIG REQUIRED)

find_package(KF6DocTools ${KF_MIN_VERSION})
set_package_properties(
    KF6DocTools
    PROPERTIES
        DESCRIPTION
            "Tools to generate documentation"
        TYPE
            OPTIONAL
)

# Find KdepimLibs Package
find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF6Contacts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6IdentityManagementCore ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)

find_package(KPim6MailCommon ${MAILCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailImporterAkonadi ${MAILIMPORTER_VERSION} CONFIG REQUIRED)

find_package(KPim6MessageViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
include_directories(
    ${importwizard_SOURCE_DIR}
    ${importwizard_BINARY_DIR}
)

find_package(Qt6Keychain ${QT6KEYCHAIN_LIB_VERSION} CONFIG)
set_package_properties(
    Qt6Keychain
    PROPERTIES
        DESCRIPTION
            "Provides support for secure credentials storage"
        URL
            "https://github.com/frankosterfeld/qtkeychain"
        TYPE
            REQUIRED
)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_USE_QSTRINGBUILDER)
add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
include(ECMCheckOutboundLicense)
file(
    GLOB_RECURSE ALL_SOURCE_FILES
    src/*.cpp
    src/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
endif()

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

add_subdirectory(src)

ecm_qt_install_logging_categories(
        EXPORT IMPORTWIZARD
        FILE importwizard.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()

ki18n_install(po)
if(KF6DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()

ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/plugins/balsa/CMakeLists.txt ===
set(balsaimporter_SRCS
    balsaaddressbook.cpp
    balsaimportdata.cpp
    balsasettings.cpp
    balsasettings.h
    balsaimportdata.h
    balsaaddressbook.h
)
ecm_qt_declare_logging_category(balsaimporter_SRCS HEADER balsaplugin_debug.h
        IDENTIFIER BALSAPLUGIN_LOG CATEGORY_NAME org.kde.pim.importwizard.balsaplugin
        DESCRIPTION "importwizard (balsa plugin)"
        EXPORT IMPORTWIZARD
)

kcoreaddons_add_plugin(balsaimporterplugin SOURCES ${balsaimporter_SRCS} INSTALL_NAMESPACE pim6/importwizard)
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        balsaimporterplugin
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()
set_target_properties(
    balsaimporterplugin
    PROPERTIES
        LIBRARY_OUTPUT_DIRECTORY
            "${CMAKE_BINARY_DIR}/bin/importwizard/"
)

target_link_libraries(
    balsaimporterplugin
    KPim6::ImportWizard
    KF6::XmlGui
    KF6::I18n
    KF6::Contacts
    KPim6::MailImporterAkonadi
    KPim6::MailTransport
    KPim6::MailCommon
    KPim6::IdentityManagementCore
    KPim6::MessageViewer
)

=== src/plugins/sylpheed/CMakeLists.txt ===
set(sylpheedimporter_SRCS
    sylpheedaddressbook.cpp
    sylpheedimportdata.cpp
    sylpheedsettings.cpp
    sylpheedsettingsutils.cpp
    sylpheedimportdata.h
    sylpheedsettings.h
    sylpheedaddressbook.h
    sylpheedsettingsutils.h
)
ecm_qt_declare_logging_category(sylpheedimporter_SRCS HEADER sylpheedplugin_debug.h
        IDENTIFIER SYLPHEEDPLUGIN_LOG CATEGORY_NAME org.kde.pim.importwizard.sylpheedplugin
        DESCRIPTION "importwizard (sylpheed plugin)"
        EXPORT IMPORTWIZARD
)

kcoreaddons_add_plugin(sylpheedimporterplugin SOURCES ${sylpheedimporter_SRCS} INSTALL_NAMESPACE pim6/importwizard)
set_target_properties(
    sylpheedimporterplugin
    PROPERTIES
        LIBRARY_OUTPUT_DIRECTORY
            "${CMAKE_BINARY_DIR}/bin/importwizard/"
)
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        sylpheedimporterplugin
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()

target_link_libraries(
    sylpheedimporterplugin
    KPim6::ImportWizard
    KF6::XmlGui
    KF6::I18n
    KF6::Contacts
    KPim6::MailImporterAkonadi
    KPim6::MailTransport
    KPim6::IdentityManagementCore
    KPim6::MailCommon
)

=== debian/changelog ===
akonadi-import-wizard (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:03:48 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.08.0~),
+               libakonadi-dev (>= 4:25.08.1~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6auth-dev (>= 6.3.0~),
                libkf6config-dev (>= 6.6.0~),
@@ -21,12 +21,12 @@
                libkf6doctools-dev (>= 6.6.0~),
                libkf6iconthemes-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.08.0~),
-               libkmailtransport-dev (>= 25.08.0~),
-               libmailcommon-dev (>= 4:25.08.0~),
-               libmailimporter-dev (>= 4:25.08.0~),
-               libpimcommon-dev (>= 4:25.08.0~),
-               messagelib-dev (>= 4:25.08.0~),
+               libkidentitymanagement-dev (>= 25.08.1~),
+               libkmailtransport-dev (>= 25.08.1~),
+               libmailcommon-dev (>= 4:25.08.1~),
+               libmailimporter-dev (>= 4:25.08.1~),
+               libpimcommon-dev (>= 4:25.08.1~),
+               messagelib-dev (>= 4:25.08.1~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qtkeychain-qt6-dev (>= 0.14.2~),
@@ -50,7 +50,7 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libkmailtransport-dev (>= 25.08.0~),
+Depends: libkmailtransport-dev (>= 25.08.1~),
          libkpim6importwizard6 (= ${binary:Version}),
          ${misc:Depends},
 Description: PIM data import wizard - development files

## akonadi-import-wizard 25.08.1+p24.04+vstable+git20250916.0510

=== debian/changelog ===
akonadi-import-wizard (4:25.08.1+p24.04+vstable+git20250916.0510-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 16 Sep 2025 05:10:48 +0000

akonadi-import-wizard (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:11:13 +0000

akonadi-import-wizard (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 12:45:59 +0000

## akonadi-import-wizard 25.08.1+p24.04+vstable+git20250926.1144

=== debian/changelog ===
akonadi-import-wizard (4:25.08.1+p24.04+vstable+git20250926.1144-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 11:44:53 +0000

## akonadi-import-wizard 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.1")
+set(PIM_VERSION "6.5.2")
 project(AkonadiImportWizard VERSION ${PIM_VERSION})
 
 set(KF_MIN_VERSION "6.14.0")
@@ -47,7 +47,7 @@
 
 # Do NOT add quote
 set(KDEPIM_DEV_VERSION)
-set(RELEASE_SERVICE_VERSION "25.08.1")
+set(RELEASE_SERVICE_VERSION "25.08.2")
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -57,8 +57,8 @@
 set(PIM_VERSION "${PIM_VERSION}")
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(KMAILTRANSPORT_LIB_VERSION "6.5.1")
-set(AKONADI_VERSION "6.5.1")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.2")
+set(AKONADI_VERSION "6.5.2")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
@@ -71,11 +71,11 @@
         Widgets
         Gui
 )
-set(MAILIMPORTER_VERSION "6.5.1")
-set(MAILCOMMON_LIB_VERSION "6.5.1")
-set(MESSAGELIB_LIB_VERSION "6.5.1")
-set(PIMCOMMON_LIB_VERSION "6.5.1")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.1")
+set(MAILIMPORTER_VERSION "6.5.2")
+set(MAILCOMMON_LIB_VERSION "6.5.2")
+set(MESSAGELIB_LIB_VERSION "6.5.2")
+set(PIMCOMMON_LIB_VERSION "6.5.2")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.2")
 set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
 
 # Find KF6 package

=== src/libimportwizard/CMakeLists.txt ===
ecm_setup_version(PROJECT
    VARIABLE_PREFIX IMPORTWIZARD
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/importwizard_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6ImportWizardConfigVersion.cmake"
    SOVERSION 6
)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6ImportWizard")

add_library(KPim6ImportWizard)
add_library(KPim6::ImportWizard ALIAS KPim6ImportWizard)

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimImportWizardConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6ImportWizardConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6ImportWizardConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6ImportWizardConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KPim6ImportWizardTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6ImportWizardTargets.cmake
    NAMESPACE KPim6::
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/importwizard_version.h"
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim6/ImportWizard/"
    COMPONENT Devel
)

target_sources(
    KPim6ImportWizard
    PRIVATE
        abstractimporter.cpp
        abstractsettings.cpp
        abstractaddressbook.cpp
        abstractcalendar.cpp
        abstractbase.cpp
        abstractdisplayinfo.cpp
        importwizardutil.cpp
        importwizardsavepasswordjob.cpp
        abstractsettings.h
        abstractbase.h
        importwizardutil.h
        abstractaddressbook.h
        importwizardsavepasswordjob.h
        abstractimporter.h
        abstractdisplayinfo.h
        abstractcalendar.h
)

ecm_qt_declare_logging_category(KPim6ImportWizard HEADER libimportwizard_debug.h IDENTIFIER LIBIMPORTWIZARD_LOG CATEGORY_NAME org.kde.pim.importwizard.lib
        DESCRIPTION "importwizard (libimportwizard)"
        EXPORT IMPORTWIZARD
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        KPim6ImportWizard
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()

target_include_directories(
    KPim6ImportWizard
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/ImportWizard;${KDE_INSTALL_INCLUDEDIR}/KPim6/>"
)

generate_export_header(KPim6ImportWizard BASE_NAME libimportwizard)

target_link_libraries(
    KPim6ImportWizard
    PUBLIC
        KPim6::MailTransport
    PRIVATE
        KF6::Archive
        KPim6::PimCommon
        KPim6::MailCommon
        KPim6::MailImporter
        KPim6::MailImporterAkonadi
        KF6::I18n
)
target_link_libraries(KPim6ImportWizard PRIVATE qt6keychain)
set_target_properties(
    KPim6ImportWizard
    PROPERTIES
        VERSION
            ${IMPORTWIZARD_VERSION}
        SOVERSION
            ${IMPORTWIZARD_SOVERSION}
        EXPORT_NAME
            ImportWizard
)

install(TARGETS KPim6ImportWizard EXPORT KPim6ImportWizardTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(
    TARGETS
        KPim6ImportWizard
        ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

ecm_generate_headers(ImportWizard_CamelCase_HEADERS
    HEADER_NAMES
    AbstractBase
    AbstractDisplayInfo
    AbstractImporter
    AbstractSettings
    AbstractAddressBook
    AbstractCalendar
    ImportWizardUtil
    PREFIX ImportWizard
    REQUIRED_HEADERS ImportWizard_HEADERS
)

install(
    FILES
        ${ImportWizard_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/ImportWizard/ImportWizard/
    COMPONENT Devel
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/libimportwizard_export.h
        ${ImportWizard_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/ImportWizard/importwizard/
    COMPONENT Devel
)

=== src/plugins/CMakeLists.txt ===
add_subdirectory(trojita)
add_subdirectory(balsa)
add_subdirectory(evolutionv3)
add_subdirectory(sylpheed)
add_subdirectory(claws-mail)
add_subdirectory(thunderbird)
add_subdirectory(icedove)
add_subdirectory(seamonkey)

=== src/plugins/icedove/CMakeLists.txt ===
--- 
+++ 
@@ -13,12 +13,23 @@
 )
 
 kcoreaddons_add_plugin(icedoveimporterplugin SOURCES ${icedoveimporter_SRCS} INSTALL_NAMESPACE pim6/importwizard)
-set_target_properties(icedoveimporterplugin PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/importwizard/")
+set_target_properties(
+    icedoveimporterplugin
+    PROPERTIES
+        LIBRARY_OUTPUT_DIRECTORY
+            "${CMAKE_BINARY_DIR}/bin/importwizard/"
+)
 if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
-    set_target_properties(icedoveimporterplugin PROPERTIES UNITY_BUILD ON)
+    set_target_properties(
+        icedoveimporterplugin
+        PROPERTIES
+            UNITY_BUILD
+                ON
+    )
 endif()
 
-target_link_libraries(icedoveimporterplugin
+target_link_libraries(
+    icedoveimporterplugin
     KPim6::ImportWizard
     KF6::XmlGui
     KF6::I18n

=== src/plugins/trojita/CMakeLists.txt ===
set(trojitaimporter_SRCS
    trojitaaddressbook.cpp
    trojitaimportdata.cpp
    trojitasettings.cpp
    trojitasettings.h
    trojitaimportdata.h
    trojitaaddressbook.h
)

ecm_qt_declare_logging_category(trojitaimporter_SRCS HEADER trojitaplugin_debug.h
        IDENTIFIER TROJITAPLUGIN_LOG CATEGORY_NAME org.kde.pim.importwizard.trojitaplugin
        DESCRIPTION "importwizard (trojita plugin)"
        EXPORT IMPORTWIZARD
)

kcoreaddons_add_plugin(trojitaimporterplugin SOURCES ${trojitaimporter_SRCS} INSTALL_NAMESPACE pim6/importwizard)
set_target_properties(
    trojitaimporterplugin
    PROPERTIES
        LIBRARY_OUTPUT_DIRECTORY
            "${CMAKE_BINARY_DIR}/bin/importwizard/"
)
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        trojitaimporterplugin
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()

target_link_libraries(
    trojitaimporterplugin
    KPim6::ImportWizard
    KF6::XmlGui
    KF6::I18n
    KF6::Contacts
    KPim6::MailImporterAkonadi
    KPim6::MailTransport
    KPim6::MailCommon
    KPim6::IdentityManagementCore
)

=== debian/changelog ===
akonadi-import-wizard (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:36:30 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.08.1~),
+               libakonadi-dev (>= 4:25.08.2~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6auth-dev (>= 6.3.0~),
                libkf6config-dev (>= 6.6.0~),
@@ -21,12 +21,12 @@
                libkf6doctools-dev (>= 6.6.0~),
                libkf6iconthemes-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.08.1~),
-               libkmailtransport-dev (>= 25.08.1~),
-               libmailcommon-dev (>= 4:25.08.1~),
-               libmailimporter-dev (>= 4:25.08.1~),
-               libpimcommon-dev (>= 4:25.08.1~),
-               messagelib-dev (>= 4:25.08.1~),
+               libkidentitymanagement-dev (>= 25.08.2~),
+               libkmailtransport-dev (>= 25.08.2~),
+               libmailcommon-dev (>= 4:25.08.2~),
+               libmailimporter-dev (>= 4:25.08.2~),
+               libpimcommon-dev (>= 4:25.08.2~),
+               messagelib-dev (>= 4:25.08.2~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qtkeychain-qt6-dev (>= 0.14.2~),
@@ -50,7 +50,7 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libkmailtransport-dev (>= 25.08.1~),
+Depends: libkmailtransport-dev (>= 25.08.2~),
          libkpim6importwizard6 (= ${binary:Version}),
          ${misc:Depends},
 Description: PIM data import wizard - development files

## akonadi-import-wizard 25.08.2+p24.04+vstable+git20251015.2024

=== debian/changelog ===
akonadi-import-wizard (4:25.08.2+p24.04+vstable+git20251015.2024-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 20:24:05 +0000

akonadi-import-wizard (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 03:53:15 +0000
